Get topic media
GET
/topics/{id}/media
Retrieve media content (articles, tweets, primary sources) for a specific topic
授权
ApiKeyAuth
API key authentication. Format: cpt_{env}v1{random}_{checksum}. Example: cpt_prod_v1_xxxxxxxxxx_xx
类型
API Key (header: X-CP-TERMINAL-API-KEY)
参数
路径参数
id*
Topic ID
类型
必填integer
示例
123查询参数
lang
Language code
类型
string
有效值
"en""ja""zh"示例
"en"默认
"en"响应
Successful response
application/json
JSON "code": 0, "message": "ok", "data": { "primary_sources": [ { "id": 1, "topic_id": 123, "url": "https://example.com/source", "title": "Source Title", "summary": "Source Summary", "published_at": "2024-06-01T12:00:00Z", "site_name": "Example Site" } ], "articles": [ { "id": 1, "topic_id": 123, "entry_url": "https://example.com/article", "title": "Article Title", "published_at": "2024-06-01T12:00:00Z" } ], "tweets": [ { "id": 2, "topic_id": 123, "entry_url": "https://example.com/tweet", "summary": "Tweet Summary", "published_at": "2024-06-01T12:00:00Z" } ] }
{
}
